tavorissimo

737NGX P3DV3

Recommended Posts

I just purchased 737 NGX base package for P3DV3 and V4 from the PMDG site but at launch he asks to make an update of my simulator. I have P3DV3.1.2. Because? What can I do?

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

5 minutes ago, tavorissimo said:

I just purchased 737 NGX base package for P3DV3 and V4 from the PMDG site but at launch he asks to make an update of my simulator. I have P3DV3.1.2. Because? What can I do?

Welcome to the forums.

Exactly what the sim says, update your P3D installation. I think it requires v3.4 or above.

FYI - PMDG requires you sign all posts with your full name.

Share this post


Link to post
Share on other sites
5 minutes ago, tavorissimo said:

Ask for generic update!

I'm not sure what you mean here. In order to update your sim, you'll need to download the update from Lockheed Martin in your account.

Share this post


Link to post
Share on other sites
15 minutes ago, scandinavian13 said:

I'm not sure what you mean here.

Kyle, what he means is that he bought the NGX under the assumption that it is for any P3Dv3.x whereas the latest update will only install on v3.4 as I have also discovered.

The PMDG sales and downloads pages probably needs editing to make this clearer as at the moment it only states "for V3"

Glyn Jones

Share this post


Link to post
Share on other sites
3 minutes ago, scandinavian13 said:

Isn't the update from v3.x to v3.4 free?

It is but I recall on another thread a user did not want to run the latest v3 update as they experienced worse performance and more OOMs when they tried it before, so were sticking to an earlier version.

Share this post


Link to post
Share on other sites
4 minutes ago, PMDG777 said:

It is but I recall on another thread a user did not want to run the latest v3 update as they experienced worse performance and more OOMs when they tried it before, so were sticking to an earlier version.

Given the superior handling of VAS in 3.4 I find that incredibly hard to believe.

Share this post


Link to post
Share on other sites
Just now, tavorissimo said:

If so I bought the 737NGX for nothing! For wrong PMDG informations!!

I'm still confused here. v3.4 is a free upgrade. Simply update your sim to 3.4 using the client installer from Lockheed Martin.

Share this post


Link to post
Share on other sites
1 hour ago, scandinavian13 said:

Isn't the update from v3.x to v3.4 free?

Kyle, odd as it may seem some folk prefer v3.2 for quite a few reasons and do not wish to upset a well running Sim.

The sales page is not clear that only the latest version of P3D is supported. I have updated to 3.4 using the client only installer just to get the latest NGX version, but in order to get the scenery and content updated would require a full reinstall of all my addons,  not really got the time for that at the moment unfortunatly.

 

glyn jones

 

Share this post


Link to post
Share on other sites
1 minute ago, Glynn said:

Kyle, odd as it may seem some folk prefer v3.2 for quite a few reasons and do not wish to upset a well running Sim.

Given the community response, I find this very hard to believe - 3.4 offered better stability and VAS handling improvements.

I cannot think of a single reason anyone would want to be on v3.2.

3 minutes ago, Glynn said:

The sales page is not clear that only the latest version of P3D is supported. I have updated to 3.4 using the client only installer just to get the latest NGX version, but in order to get the scenery and content updated would require a full reinstall of all my addons,  not really got the time for that at the moment unfortunatly.

While it's true that v3.4 has a full installer option that contains scenery and content, that has zero bearing on our product.

If you wanted to keep v3.2 as a sim, you would not have any of the v3.4 scenery/content that got updated.
Therefore:
If you updated your client to v3.4 alone, you would still not have any of the v3.4 scenery/content that got updated either.

You're simply updating the client, while keeping all of the rest of the assets as v3.2. You gain the ability to use the NGX, and the massive improvements that came with v3.4 (stability, and VAS handling), with a quick switch of the client.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now